summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rwxr-xr-xscripts/test-buildtools-extended.sh19
1 files changed, 19 insertions, 0 deletions
diff --git a/scripts/test-buildtools-extended.sh b/scripts/test-buildtools-extended.sh
new file mode 100755
index 00000000000..d7496499984
--- /dev/null
+++ b/scripts/test-buildtools-extended.sh
@@ -0,0 +1,19 @@
+#! /bin/bash
+
+set -e
+
+POKY=$1
+
+# TODO find and export DL_DIR
+bitbake buildtools-extended-tarball
+
+BUILDTOOLSDIR=$(mktemp --directory --tmpdir=$BUILDDIR buildtools-XXXX)
+# TODO latest one
+# TODO native architecture
+$BUILDDIR/tmp/deploy/sdk/*-buildtools-extended-nativesdk*.sh -d $BUILDTOOLSDIR -y
+
+. $BUILDTOOLSDIR/environment-setup-*
+
+BUILDDIR=$(mktemp --directory --tmpdir=$POKY build-XXXX)
+. $POKY/oe-init-build-env $BUILDDIR
+bitbake glibc